TelepathyQt4: Tp::ReadyObject Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::ReadyObject Class Reference

`#include <>>`

Inherited by Tp::Account, Tp::AccountManager, Tp::Channel, Tp::ChannelDispatchOperation, Tp::ChannelRequest, Tp::Connection, Tp::ConnectionManager, Tp::MediaContent`[private]`, and Tp::MediaStream`[private]`.

List of all members.

## Public Member Functions

- ReadyObject (QObject *object, const Feature &featureCore)
- virtual ~ReadyObject ()
- virtual bool isReady (const Features &features=Features()) const
- virtual PendingReady * becomeReady (const Features &requestedFeatures=Features())
- virtual Features requestedFeatures () const
- virtual Features actualFeatures () const
- virtual Features missingFeatures () const

## Protected Member Functions

- ReadinessHelper * readinessHelper () const

## Detailed Description

<TelepathyQt4/ReadyObject>

## Constructor & Destructor Documentation

Tp::ReadyObject::ReadyObject | ( | QObject * | object,
|  | const Feature & | featureCore |
| ) |  |  |

Construct a new ReadyObject object.

Parameters:

  | object | The QObject the object refers to.
  | featureCore | The core feature of the object.

Tp::ReadyObject::~ReadyObject | ( |  | ) | `[virtual]`

Class destructor.

## Member Function Documentation

bool Tp::ReadyObject::isReady | ( | const Features & | features = `Features()` | ) | const`[virtual]`

Return whether this object has finished its initial setup.

This is mostly useful as a sanity check, in code that shouldn't be run until the object is ready. To wait for the object to be ready, call becomeReady() and connect to the finished signal on the result.

Parameters:

  | features | The features which should be tested

Returns:
  `true` if the object has finished its initial setup for basic functionality plus the given features

PendingReady * Tp::ReadyObject::becomeReady | ( | const Features & | requestedFeatures = `Features()` | ) | `[virtual]`

Return a pending operation which will succeed when this object finishes its initial setup, or will fail if a fatal error occurs during this initial setup.

If an empty set is used FeatureCore will be considered as the requested feature.

Parameters:

  | requestedFeatures | The features which should be enabled

Returns:
  A PendingReady object which will emit finished when this object has finished or failed initial setup for basic functionality plus the given features

Features Tp::ReadyObject::requestedFeatures | ( |  | ) | const`[virtual]`

Features Tp::ReadyObject::actualFeatures | ( |  | ) | const`[virtual]`

Features Tp::ReadyObject::missingFeatures | ( |  | ) | const`[virtual]`

ReadinessHelper * Tp::ReadyObject::readinessHelper | ( |  | ) | const`[protected]`